Can't instal because of NAnt, Mac OS X Lion v.10.7.4 (Bug #170)


Added by William Keen over 4 years ago. Updated about 4 years ago.


Status:New Start date:08/10/2012
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:Build Process Spent time: -
Target version:1.9
Affected version:1.8.0

Description

I know that this issue was supposedly fixed, however, I'm on the latest version of mono (2.10.9) and I downloaded the latest version of CC.NET (1.8.0.0).

Opening up terminal I run:
sh build-all.sh

I recieve the following error:
Target framework could not be changed. "mono-4.0" is not a valid framework identifier.

Doing some research I found that the newest version of NAnt supposedly fixed the issue. I downloaded the newest version (0.92) and replaced the NAnt folder in tools with the bin folder of the newest NAnt. I renamed bin to NAnt. After re-running the build-all script I recieve the following error:
Target 'all' does not exist in this project.

Doing a bit more research I found that this used to be a bug but was supposed to be fixed in 1.6. Any help would be greatly appreciated! I'm not sure what, if anything, I'm doing wrong or what I should do to fix this.

Thanks!


Screen_Shot_2012-08-10_at_10.13.03_AM.png - Mono version (33.5 kB) William Keen, 08/10/2012 05:35 pm

Screen_Shot_2012-08-10_at_11.28.05_AM.png - First error (51.5 kB) William Keen, 08/10/2012 05:35 pm

Screen_Shot_2012-08-10_at_11.28.33_AM.png - Second error (28.9 kB) William Keen, 08/10/2012 05:35 pm


History

Updated by Daniel Nauck about 4 years ago

  • Category set to Build Process
  • Target version set to 1.9

Also available in: Atom PDF